| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxHtmlRenderingStyle Class Referenceabstract
Class List by Category » HTML

`#include <wx/html/htmlcell.h>`

## Detailed Description

wxHtmlSelection is data holder with information about text selection.

Allows HTML rendering customizations.

Selection is defined by two positions (beginning and end of the selection) and two leaf(!) cells at these positions.

##

Library: wxHTML
Category: HTML

This class is used when rendering wxHtmlCells as a callback.

##

Library: wxHTML
Category: HTML

See also
  wxHtmlRenderingInfo

## Public Member Functions

virtual wxColour | GetSelectedTextColour (const wxColour &clr)=0
| Returns the colour to use for the selected text. More...
virtual wxColour | GetSelectedTextBgColour (const wxColour &clr)=0
| Returns the colour to use for the selected text's background. More...

## Member Function Documentation

virtual wxColour wxHtmlRenderingStyle::GetSelectedTextBgColour | ( | const wxColour & | clr | ) |

pure virtual

Returns the colour to use for the selected text's background.

virtual wxColour wxHtmlRenderingStyle::GetSelectedTextColour | ( | const wxColour & | clr | ) |

pure virtual

Returns the colour to use for the selected text.